Bug 507159 - Cannot increase open file limit greater then 1024 * 1024 (1048576)
Cannot increase open file limit greater then 1024 * 1024 (1048576)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
low Severity urgent
: rc
: ---
Assigned To: Eric Sandeen
Red Hat Kernel QE team
http://git.kernel.org/?p=linux/kernel...
:
Depends On:
Blocks: 533192
  Show dependency treegraph
 
Reported: 2009-06-21 06:47 EDT by Jai Gupta
Modified: 2010-04-01 04:56 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 03:42:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0178 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.5 kernel security and bug fix update 2010-03-29 08:18:21 EDT

  None (edit)
Description Jai Gupta 2009-06-21 06:47:30 EDT
Description of problem: Can not increase open file limit more then 1048576


How reproducible: 


Steps to Reproduce:
1. #ulimit -n 1048577
  
Actual results:

-bash: ulimit: open files: cannot modify limit: Operation not permitted


Expected results:


Additional info: http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=9cfe015aa424b3c003baba3841a60dd9b5ad319b
Comment 1 Ric Wheeler 2009-07-01 16:50:19 EDT
Is this an actual issue in production on a RHEL system for you?
Comment 2 Jai Gupta 2009-07-01 22:43:03 EDT
Yes, system is in production. We are using a server as domain manager, this server has currently ~50k domains, as more domains comes in Apache will start reporting errors. We are close to this limit of 1048576. Server hardware has enough power to handle 200K domains, this is the only bottleneck.

Hardware:
Motherboard: SuperMicro X7QCE Intel Xeon HexCore QuadProc Sata
Processor: 4 * Intel Xeon-Dunnington 7450-HexCore [2.4GHz]
RAM: 32GB
Hard Drive: 6 * Seagate Cheetah ST3300655SS (RAID 10)
Drive Controller: LSI LOGIC \ 8308ELP \ SAS RAID
Comment 3 Eric Sandeen 2009-07-02 01:47:38 EDT
The upstream patch is pretty straightforward.
Comment 4 Ric Wheeler 2009-07-02 07:25:39 EDT
Giving this to Eric for 5.5.
Comment 5 RHEL Product and Program Management 2009-11-13 17:40:22 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 Don Zickus 2009-12-15 15:17:47 EST
in kernel-2.6.18-181.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please update the appropriate value in the Verified field
(cf_verified) to indicate this fix has been successfully
verified. Include a comment with verification details.
Comment 11 errata-xmlrpc 2010-03-30 03:42:02 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0178.html

Note You need to log in before you can comment on or make changes to this bug.